Bug 1066002 - Please backport SPNEGO fixes from upstream
Summary: Please backport SPNEGO fixes from upstream
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: krb5
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: Patrik Kis
URL:
Whiteboard:
Depends On: 1066000
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 13:38 UTC by Simo Sorce
Modified: 2014-06-18 01:08 UTC (History)
3 users (show)

Fixed In Version: krb5-1.11.3-47.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1066000
Environment:
Last Closed: 2014-06-13 11:22:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Simo Sorce 2014-02-17 13:38:22 UTC
+++ This bug was initially created as a clone of Bug #1066000 +++

Upstream recently got a few patches to fix a SPNEGO iussue:
http://krbdev.mit.edu/rt/Ticket/Display.html?id=7858

This issue causes failures as reported, for exaemple here:
http://bugs.centos.org/view.php?id=6526

Without these patches BIND cannot properly reply to GSS-TSIG requests sent by Windows Clients causing them to fail to perform a signed updayte at all.

This is causing issues to people that have to rebuild BIND to use the internal SPENGO implementation.

These fixes have been indepndently tested on both Fedora 19 and Fedora 20 by two people with a custom build of krb5 libraries (F20 + the patch in the MIT report) and the original BIND packages.

Comment 5 Patrik Kis 2014-02-21 15:42:12 UTC
Hi Nalin,

It seems to me that to reproduce this issue requires a quite lot of setup + MS Windows; or is there a simpler way?
But I've noticed that the patch carries also an upstream test modification. Do you think it is suitable to use it to verify this issue?

Comment 6 Nalin Dahyabhai 2014-02-24 21:40:34 UTC
(In reply to Patrik Kis from comment #5)
> Hi Nalin,
> 
> It seems to me that to reproduce this issue requires a quite lot of setup +
> MS Windows; or is there a simpler way?

In out-of-band conversations with Simo, I gather that there isn't.

> But I've noticed that the patch carries also an upstream test modification.
> Do you think it is suitable to use it to verify this issue?

I was hoping it wouldn't be the sole option, but yes, that test attempts to catch the problems that we're adding fixes for.

Comment 8 Ludek Smid 2014-06-13 11:22:40 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.